# Interface CUnitTestSuiteSpec

All Superinterfaces:
  `ComponentSpec, GeneralComponentSpec, ModelElement, Named, NativeComponentSpec, NativeTestSuiteSpec, SourceComponentSpec, TestSuiteSpec, VariantComponent, VariantComponentSpec`

@Incubating public interface CUnitTestSuiteSpec extends NativeTestSuiteSpec
Test suite of CUnit tests.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

### Methods inherited from interface ComponentSpec

`getProjectPath`

### Methods inherited from interface ModelElement

`getDisplayName`

### Methods inherited from interface NativeComponentSpec

`getBaseName, setBaseName`

### Methods inherited from interface NativeTestSuiteSpec

`getTestedComponent`

### Methods inherited from interface SourceComponentSpec

`getSources`

### Methods inherited from interface TestSuiteSpec

`setTestedComponent, testing`

### Methods inherited from interface VariantComponent

`getName, getVariants`

### Methods inherited from interface VariantComponentSpec

`getBinaries`